Sensor Value Extractors

This group of methods is useful for extracting data from binary data received from a VectorNav sensor either from a UART binary or a SPI packet. Any necessary byte ordering will be performed. More...

## Functions

uint16_t | VnUtil_extractUint16 (const char *pos)
| Extracts a uint16_t with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...
uint32_t | VnUtil_extractUint32 (const char *pos)
| Extracts a uint32_t with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...
float | VnUtil_extractFloat (const char *pos)
| Extracts a `float` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...
double | VnUtil_extractDouble (const char *pos)
| Extracts a `double` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...
vec3f | VnUtil_extractVec3f (const char *pos)
| Extracts a `vec3f` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...
vec4f | VnUtil_extractVec4f (const char *pos)
| Extracts a `vec4f` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...
vec3d | VnUtil_extractVec3d (const char *pos)
| Extracts a `vec3d` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...
mat3f | VnUtil_extractMat3f (const char *pos)
| Extracts a `mat3f` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet. More...

## Detailed Description

This group of methods is useful for extracting data from binary data received from a VectorNav sensor either from a UART binary or a SPI packet. Any necessary byte ordering will be performed.

## Function Documentation

double VnUtil_extractDouble | ( | const char * | pos | ) |

Extracts a `double` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.

float VnUtil_extractFloat | ( | const char * | pos | ) |

Extracts a `float` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.

mat3f VnUtil_extractMat3f | ( | const char * | pos | ) |

Extracts a `mat3f` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.

uint16_t VnUtil_extractUint16 | ( | const char * | pos | ) |

Extracts a uint16_t with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.

uint32_t VnUtil_extractUint32 | ( | const char * | pos | ) |

Extracts a uint32_t with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.

vec3d VnUtil_extractVec3d | ( | const char * | pos | ) |

Extracts a `vec3d` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.

vec3f VnUtil_extractVec3f | ( | const char * | pos | ) |

Extracts a `vec3f` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.

vec4f VnUtil_extractVec4f | ( | const char * | pos | ) |

Extracts a `vec4f` with appropriate byte reordering from the binary array received from a VectorNav sensor either from the UART binary or SPI packet.

Parameters

  [in] | pos | The current position to extract the value from.

Returns
  The extracted value.